Subject: bug#18923: Alternative scrolling model

From: E Sabof <[email-masked]>
Date: Sun, 02 Nov 2014 02:31:28 +0000

Stefan Monnier <[email-masked]> writes:

> Sounds nice.  Do you imagine it as a replacement for the existing
> scroll-up/down functions?  Or rather (at least at first) as a separate
> package?
> Also, if something's missing for st-height to get more accurate
> measurements, I suggest you make it a bug report asking for that missing
> info/feature.

I was mostly thinking the first. The only potentially downside I can think of is that it might be slower -- then again I'm just measuring line-heights, and of these there is (at most) only one line that won't eventually be displayed.

If it were to remain mostly elisp, it would need a reliable way to measure the height of a line (essentially a `st-height' replacement), irrespective of whether it's displayed. It has also proven rather difficult to set the window start "absolutely". I've documented my findings in `st-move'.

Evgeni